Cocoon API: Class fpResource

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library.fp
Class fpResource

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.fp.fpResource

public class fpResource
extends java.lang.Object

Field Summary
`java.lang.String` | `mode`
`protected static org.apache.xml.serialize.SerializerFactory` | `serializer_factory`

Constructor Summary
`fpResource(org.w3c.dom.Node errorNode, java.io.File workFile, java.lang.String xpath, java.lang.String mode, java.lang.String name)`

Method Summary
`boolean` | `hasChanged()`
`org.w3c.dom.Document` | `loadDocument(java.io.File f, java.util.Hashtable errors)`
`boolean` | `notLoaded()`
`org.w3c.dom.Node` | `parseStringInto(org.w3c.dom.Document doc, org.w3c.dom.Node cNode, java.lang.String val, java.util.Hashtable errors)`
`java.lang.Object` | `readAsNode(org.w3c.dom.Node cNode, java.util.Hashtable errors, java.lang.String select)`
`java.lang.Object` | `readAsString(org.w3c.dom.Node cNode, java.util.Hashtable errors, java.lang.String select)`
`void` | `save(org.w3c.dom.Node cNode, java.util.Hashtable errors)`
`java.lang.Object` | `sureNode(java.lang.String select)`
`java.lang.Object` | `writeAsTextNode(org.w3c.dom.Node cNode, java.util.Hashtable errors, java.lang.String select, java.lang.Object value, java.lang.String customMode)`
`java.lang.Object` | `writeAsXMLNode(org.w3c.dom.Node cNode, java.util.Hashtable errors, java.lang.String select, java.lang.Object value, java.lang.String customMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serializer_factory

    protected static org.apache.xml.serialize.SerializerFactory serializer_factory

### mode

    public java.lang.String mode

Constructor Detail

### fpResource

    public fpResource(org.w3c.dom.Node errorNode,
                      java.io.File workFile,
                      java.lang.String xpath,
                      java.lang.String mode,
                      java.lang.String name)

Method Detail

### save

    public void save(org.w3c.dom.Node cNode,
                     java.util.Hashtable errors)

### readAsNode

    public java.lang.Object readAsNode(org.w3c.dom.Node cNode,
                                       java.util.Hashtable errors,
                                       java.lang.String select)

### readAsString

    public java.lang.Object readAsString(org.w3c.dom.Node cNode,
                                         java.util.Hashtable errors,
                                         java.lang.String select)

### writeAsTextNode

    public java.lang.Object writeAsTextNode(org.w3c.dom.Node cNode,
                                            java.util.Hashtable errors,
                                            java.lang.String select,
                                            java.lang.Object value,
                                            java.lang.String customMode)

### writeAsXMLNode

    public java.lang.Object writeAsXMLNode(org.w3c.dom.Node cNode,
                                           java.util.Hashtable errors,
                                           java.lang.String select,
                                           java.lang.Object value,
                                           java.lang.String customMode)

### sureNode

    public java.lang.Object sureNode(java.lang.String select)

### parseStringInto

    public org.w3c.dom.Node parseStringInto(org.w3c.dom.Document doc,
                                            org.w3c.dom.Node cNode,
                                            java.lang.String val,
                                            java.util.Hashtable errors)

### loadDocument

    public org.w3c.dom.Document loadDocument(java.io.File f,
                                             java.util.Hashtable errors)

### notLoaded

    public boolean notLoaded()

### hasChanged

    public boolean hasChanged()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.